# AICargoList_IndustryProducing Class Reference
[Classes that create a list of items.]

Creates a list of cargos that the given industry can produce. More...

`#include <ai_cargolist.hpp>`

Inheritance diagram for AICargoList_IndustryProducing:

## Public Member Functions

| AICargoList_IndustryProducing (IndustryID industry_id)

## Static Public Member Functions

static const char * | GetClassName ()

## Detailed Description

Creates a list of cargos that the given industry can produce.

Definition at line 38 of file ai_cargolist.hpp.

## Constructor & Destructor Documentation

AICargoList_IndustryProducing::AICargoList_IndustryProducing | ( | IndustryID | industry_id | ) |

Parameters:

  | industry_id | The industry to get the list of cargos it produces from.

Definition at line 34 of file ai_cargolist.cpp.

References AIAbstractList::AddItem(), AIIndustry::IsValidIndustry(), lengthof, and Industry::produced_cargo.

The documentation for this class was generated from the following files:

- src/ai/api/ai_cargolist.hpp
- src/ai/api/ai_cargolist.cpp